name: MailChimp
description: Display MailChimp newsletter form.
type: particle
icon: fa-file-text-o

configuration:
  caching:
    type: static

form:
  fields:
    enabled:
      type: input.checkbox
      label: Enabled
      description: Globally enable particle.
      default: true

    info:
      type: separator.note
      class: alert
      content: 'You need to register account on <a href="http://mailchimp.com/">mailchimp.com</a> and copy form embed action url into field below.'

    action:
      type: input.text
      label: Form Action URL
      description: Enter mailchimp Embedded forms action url.
      placeholder: Enter url
      default: https://rockettheme.us7.list-manage.com/subscribe/post?u=15e44abe1131903bf897546b4&amp;id=77eb86ad37

    class:
      type: input.selectize
      label: CSS Classes
      description: CSS class name for the particle.

    layout:
      type: select.selectize
      label: Layout
      description: Choose the layout.
      default: g-newsletter-stack-fullwidth
      options:
        g-newsletter-stack-fullwidth: Stack Fullwidth
        g-newsletter-stack-compact: Stack Compact
        g-newsletter-aside: Aside

    style:
      type: select.selectize
      label: Style
      description: Choose the style for the Input Box and Button.
      default: g-newsletter-rounded
      options:
        g-newsletter-square: Square
        g-newsletter-rounded: Rounded

    title:
      type: input.text
      label: Title
      description: Customize the title text.
      placeholder: Enter title

    headtext:
      type: textarea.textarea
      label: Heading Text
      description: Customize the heading text.
      placeholder: Enter short heading text

    inputboxtext:
      type: input.text
      label: InputBox Text
      description: Customize the InputBox text.
      placeholder: Your email address...
      default: Your email address...

    error:
      type: input.colorpicker
      label: Error Background Color
      default: "#6B0505"
      
    buttontext:
      type: input.text
      label: Button Text
      description: Customize the Button text.
      placeholder: Subscribe
      default: Subscribe

    buttonclass:
      type: input.selectize
      label: Button Classes
      description: CSS class name for the join button.
      default: 'button-xlarge'
